View a markdown version of this page

SendWhatsAppConversionEvent - AWS End User Messaging Social

SendWhatsAppConversionEvent

Sends a conversion event to Meta's Conversions API for the specified WhatsApp Business Account dataset.

Request Syntax

POST /v1/whatsapp/waba/dataset/events HTTP/1.1 Content-type: application/json { "datasetId": "string", "eventData": blob, "id": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

datasetId

The Meta-generated dataset ID to send the event to.

Type: String

Length Constraints: Minimum length of 10. Maximum length of 20.

Pattern: [0-9]+

Required: Yes

eventData

The raw Meta Conversions API event payload as a JSON blob. See Meta's server event parameters for the supported format.

Type: Base64-encoded binary data object

Length Constraints: Minimum length of 1. Maximum length of 1024000.

Required: Yes

id

The ID of the WhatsApp Business Account associated with the dataset, formatted as waba-01234567890123456789012345678901.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 115.

Pattern: .*(^waba-.*$)|(^arn:.*:waba/[0-9a-zA-Z]+$).*

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "requestId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

requestId

The unique identifier for the conversion event request.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedByMetaException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

DependencyException

Thrown when performing an action because a dependency would be broken.

HTTP Status Code: 502

InternalServiceException

The request processing has failed because of an unknown error, exception, or failure.

HTTP Status Code: 500

InvalidParametersException

One or more parameters provided to the action are not valid.

HTTP Status Code: 400

ResourceNotFoundException

The resource was not found.

HTTP Status Code: 404

ThrottledRequestException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request contains an invalid parameter value.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: